import numpy as np
import matplotlib.pyplot as plt

# Tenemos que cargar los datos del Iris y como son dos
# clases tenemos que usar solo dos de las tres 
D = np.loadtxt( "puntos.txt", delimiter=' ' )
print( D.shape )

medias = np.mean( D, axis=0 )
print( medias )

centros = [7.5,  7.75]

V = np.array( [[ 0.84392946,  0.53645416],
               [-0.53645416,  0.84392946]] )

fig, ax = plt.subplots( )

ax.set_aspect( 1 )
ax.scatter( D[:,0], D[:,1], marker='o' )
ax.arrow( centros[0], centros[1], 4*V[0][0], 4*V[0][1], head_width=0.2, head_length = 0.3, length_includes_head=True )
ax.arrow( centros[0], centros[1], 2*V[1][0], 2*V[1][1], head_width=0.2, head_length = 0.3, length_includes_head=True )
# ax.arrow( 3.5, 10, 1, 0, shape="right" )
# ax.annotate("", arrowprops=dict(arrowstyle="->") )
# ax.set_ylim( 5, 15 )

plt.show( )


