import numpy as np

# Tenemos que cargar los datos del Iris y como son dos
# clases tenemos que usar solo dos de las tres 
D = np.loadtxt( "puntos.txt", delimiter=' ' )
print( D.shape )

medias = np.mean( D, axis=0 )
print( medias )

D[:,0] = D[:,0] - medias[0]
D[:,1] = D[:,1] - medias[1]

U, S, VT = np.linalg.svd( D )
print( VT.shape )
print( VT )

A = D @ VT.T
print( A )
