import numpy as np
from sklearn import preprocessing

# Tenemos que cargar los datos del Iris y como son dos
# clases tenemos que usar solo dos de las tres 
D = np.loadtxt( "dcurados.csv", delimiter=',' )
print( D.shape )

minmax = preprocessing.MinMaxScaler( feature_range=[-1.0, 1.0]  )

minmax.fit( D )

X = minmax.transform( D )

print( X.shape )
print( X )

xmin = np.min( D, axis=0 )
xmax = np.max( D, axis=0 )

#
#    x - xmin       v - vmin
#   ------------ = -----------
#    xmax - xmin    vmax - vmin


#    x - xmin       v - 0
#   ------------ = -----------
#    xmax - xmin    1 - 0

vy4 = D[:,3]
vy4 = vy4.reshape( (-1,1) )

a = xmax[3] - xmin[3]

vy = (vy4-xmin[3])/a

print( vy )

