import numpy as np
from sklearn.impute import SimpleImputer

# Leemos el archivo de entrada
# D = np.genfromtxt( "datos.csv", delimiter=',', filling_values=1000, dtype=int )

# Los datos los leo como números reales y los
# datos faltantes los hago igual a NaN
D = np.genfromtxt( "datos.csv", delimiter=',', missing_values=np.nan )

# NaN Not A Number
#     En el formato para números reales, "NaN" tiene su representación
#  para indicar el resultado de por ejemplo x/0

print( D.shape )
print( D )

imputador = SimpleImputer( )

imputador.fit( D )

X = imputador.transform( D )

print( X )
np.savetxt( "dcurados.csv", X, delimiter=',', fmt='%.2f' )
