import numpy as np
from sklearn import preprocessing

# Tenemos que cargar los datos del Iris y como son dos
# clases tenemos que usar solo dos de las tres 
D = np.loadtxt( "dcurados.csv", delimiter=',' )
print( D.shape )

X = preprocessing.normalize( D, axis=0 )

print( X.shape )
print( X )

# La norma de un vector || v || = sqrt( v1^2 + v2^2 + ... + vn^2 ) 

vy4 = D[:,3]
vy4 = vy4.reshape( (-1,1) )

norma = np.sqrt(vy4.T @ vy4)

vy = vy4/norma
print( vy )




